/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `dnskey`
--

DROP TABLE IF EXISTS `dnskey`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dnskey` (
  `name` varchar(255) NOT NULL,
  `rdata` varchar(255) DEFAULT NULL,
  `status` int(11) DEFAULT NULL,
  `zone` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`name`),
  KEY `FKB0E89C966F0AC02B` (`zone`),
  CONSTRAINT `FKB0E89C966F0AC02B` FOREIGN KEY (`zone`) REFERENCES `zone` (`zonename`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `slave`
--

DROP TABLE IF EXISTS `slave`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `slave` (
  `address` varchar(255) NOT NULL,
  `port` int(11) NOT NULL,
  PRIMARY KEY (`address`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `slavegroup`
--

DROP TABLE IF EXISTS `slavegroup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `slavegroup` (
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `slavegroup_slave`
--

DROP TABLE IF EXISTS `slavegroup_slave`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `slavegroup_slave` (
  `slavegroup` varchar(255) NOT NULL,
  `slave` varchar(255) NOT NULL,
  KEY `FKD4781E0612D33C9` (`slave`),
  KEY `FKD4781E0BB17BEB5` (`slavegroup`),
  CONSTRAINT `FKD4781E0612D33C9` FOREIGN KEY (`slave`) REFERENCES `slave` (`address`),
  CONSTRAINT `FKD4781E0BB17BEB5` FOREIGN KEY (`slavegroup`) REFERENCES `slavegroup` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tsig`
--

DROP TABLE IF EXISTS `tsig`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tsig` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `secret` varchar(255) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK3677DD163DADE6` (`address`),
  CONSTRAINT `FK3677DD163DADE6` FOREIGN KEY (`address`) REFERENCES `slave` (`address`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user` (
  `username` varchar(255) NOT NULL,
  `password` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `zone`
--

DROP TABLE IF EXISTS `zone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `zone` (
  `zonename` varchar(255) NOT NULL,
  `expirationDate` datetime NOT NULL,
  `maxIncrements` int(11) NOT NULL,
  `resignDate` datetime NOT NULL,
  `signed` int(11) NOT NULL,
  `soaMinimum` int(11) NOT NULL,
  `ttlDnskey` int(11) NOT NULL,
  `ttlZone` int(11) NOT NULL,
  `validity` int(11) NOT NULL,
  `verifySignature` int(11) NOT NULL,
  PRIMARY KEY (`zonename`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `zone_slavegroup`
--

DROP TABLE IF EXISTS `zone_slavegroup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `zone_slavegroup` (
  `zonename` varchar(255) NOT NULL,
  `slavegroup` varchar(255) NOT NULL,
  KEY `FK4284D17BBB17BEB5` (`slavegroup`),
  KEY `FK4284D17BA16C84B6` (`zonename`),
  CONSTRAINT `FK4284D17BA16C84B6` FOREIGN KEY (`zonename`) REFERENCES `zone` (`zonename`),
  CONSTRAINT `FK4284D17BBB17BEB5` FOREIGN KEY (`slavegroup`) REFERENCES `slavegroup` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `zone_sync`
--

DROP TABLE IF EXISTS `zone_sync`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `zone_sync` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `operation` int(11) DEFAULT NULL,
  `zonename` varchar(255) DEFAULT NULL,
  `slavegroup` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK1FF71B4EBB17BEB5` (`slavegroup`),
  CONSTRAINT `FK1FF71B4EBB17BEB5` FOREIGN KEY (`slavegroup`) REFERENCES `slavegroup` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `zone_user`
--

DROP TABLE IF EXISTS `zone_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `zone_user` (
  `zonename` varchar(255) NOT NULL,
  `username` varchar(255) NOT NULL,
  KEY `FK1FF7EC7E2CE59526` (`username`),
  KEY `FK1FF7EC7EA16C84B6` (`zonename`),
  CONSTRAINT `FK1FF7EC7E2CE59526` FOREIGN KEY (`username`) REFERENCES `user` (`username`),
  CONSTRAINT `FK1FF7EC7EA16C84B6` FOREIGN KEY (`zonename`) REFERENCES `zone` (`zonename`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
